Subject: Re: [PATCH v2] kvaser_usb: fix "dma on the stack" errors

From: Marc Kleine-Budde <[email-masked]>
Date: Fri, 23 Nov 2012 15:08:08 +0100

On 11/23/2012 02:54 PM, Olivier Sobrie wrote:
> The dma buffer given to usb_bulk_msg() must be allocated and not on
> the stack.
> See Documentation/DMA-API-HOWTO.txt section "What memory is DMA'able?"
> 
> Signed-off-by: Olivier Sobrie <[email-masked]>

Thanks, I've squashed it into the original patch and pushed to
linux-can-next/for-davem

Marc

-- 
Pengutronix e.K.                  | Marc Kleine-Budde           |
Industrial Linux Solutions        | Phone: +49-231-2826-924     |
Vertretung West/Dortmund          | Fax:   +49-5121-206917-5555 |
Amtsgericht Hildesheim, HRA 2686  | http://www.pengutronix.de   |